Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Inventor
  Führungslinientext idw Eigenschaften Modell

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
  
Gut zu wissen: Inventor besser verstehen - Fläche löschen
Autor Thema:   Führungslinientext idw Eigenschaften Modell (287 mal gelesen)
Dori2000
Mitglied
Konstrukteurin


Sehen Sie sich das Profil von Dori2000 an!   Senden Sie eine Private Message an Dori2000  Schreiben Sie einen Gästebucheintrag für Dori2000

Beiträge: 62
Registriert: 23.03.2018

Windows 10,
Inventor 2020, AutoCAD Mechanical 2020

erstellt am: 08. Jan. 2021 11:28    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo zusammen,

ich habe Baugruppen (Zukaufteile Elektrik), die ich auf meiner Zeichnung darstellen muß.
Die habe ich auf Referenz gesetzt, da sie nicht in der mechanischen Stückliste auftauchen sollen.

Wenn ich Führungslinientext anbringe mit Eigenschaften Modell, um die Teilenummer der Hersteller anzuzeigen, klappt das nicht.
Inventor nimmt die Eigenschaften des einen Bauteils in der Baugruppe, nicht die Baugruppe selber.

Das ist ein altes Problem, wie ich gesehen habe.
Gibt es dafür keine Lösung??
Abgeleitetes Element, um ein Bauteil zu benutzen, kann ich nicht machen, da ich mit verschiedenen Positionsdarstellungen arbeiten muß.

------------------
Viele Grüße

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

nightsta1k3r
Ehrenmitglied V.I.P. h.c.
plaudern



Sehen Sie sich das Profil von nightsta1k3r an!   Senden Sie eine Private Message an nightsta1k3r  Schreiben Sie einen Gästebucheintrag für nightsta1k3r

Beiträge: 10677
Registriert: 25.02.2004

Hier könnte Ihre Werbung stehen!

erstellt am: 08. Jan. 2021 11:47    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Dori2000 10 Unities + Antwort hilfreich

Lösung nicht, aber eine Idee eines Workarounds:

ein neuer Posnummernstil mit benutzerdefiniert Teilenummer
Positionierungstyp strukturiert und auf die Komponente einen Ballon setzen.
Sollte dann die Eigenschaft der BG anzeigen.

------------------

------------------
Der Clown ist die wichtigste Mahlzeit am Tag.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Dori2000
Mitglied
Konstrukteurin


Sehen Sie sich das Profil von Dori2000 an!   Senden Sie eine Private Message an Dori2000  Schreiben Sie einen Gästebucheintrag für Dori2000

Beiträge: 62
Registriert: 23.03.2018

Windows 10,
Inventor 2020, AutoCAD Mechanical 2020

erstellt am: 08. Jan. 2021 12:17    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

geht leider nicht. Positionsnummer kann ich nicht auf referenzierte BG setzen.

------------------
Viele Grüße

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

nightsta1k3r
Ehrenmitglied V.I.P. h.c.
plaudern



Sehen Sie sich das Profil von nightsta1k3r an!   Senden Sie eine Private Message an nightsta1k3r  Schreiben Sie einen Gästebucheintrag für nightsta1k3r

Beiträge: 10677
Registriert: 25.02.2004

Hier könnte Ihre Werbung stehen!

erstellt am: 08. Jan. 2021 17:17    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Dori2000 10 Unities + Antwort hilfreich

wenn es auf Referenz bleiben muss, dann hilft nur statischer Text.

------------------

------------------
Der Clown ist die wichtigste Mahlzeit am Tag.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

rkauskh
Moderator
Dipl.-Ing. (FH) Versorgungstechnik


Sehen Sie sich das Profil von rkauskh an!   Senden Sie eine Private Message an rkauskh  Schreiben Sie einen Gästebucheintrag für rkauskh

Beiträge: 1700
Registriert: 15.11.2006

Windows 10 x64, AIP 2021

erstellt am: 09. Jan. 2021 11:34    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Dori2000 10 Unities + Antwort hilfreich

Moin

Das dürfte daran liegen, dass die gewählte Kante vom Bauteil erzeugt wird. Kanten einer Baugruppe erzeugen z.B. Baugruppenfeature. Die kann man auch anwählen, aber Inventor bietet im Dialog für den Führungslinientext die Option "Benutzerdefinierte Eigenschaft - Modell" nicht an. 

Zumindest den Führungslinientext mit statischem Text kann man aber als Makro umsetzen. Ich hab dazu ein Beispiel aus der API-Hilfe etwas modifiziert.

Code:

Option Explicit

' Fügt einen Führungslinientext ein. Der Text stammt aus dem benutzdef. iProp der übergeordneten Baugruppe
' statischer Text, keine autom. Aktualisierung !!!
' Namen des iProps unten anpassen

Public Sub AddLeaderNote()
    ' Set a reference to the drawing document.
    ' This assumes a drawing document is active.
    Dim oDrawDoc As DrawingDocument
    Set oDrawDoc = ThisApplication.ActiveDocument

    ' Set a reference to the active sheet.
    Dim oActiveSheet As Sheet
    Set oActiveSheet = oDrawDoc.ActiveSheet

    ' Set a reference to the drawing curve segment.
    ' This assumes that a drawing curve is selected.
    Dim oDrawingCurveSegment As DrawingCurveSegment
    Set oDrawingCurveSegment = ThisApplication.CommandManager.Pick(kDrawingCurveSegmentFilter, "Kante wählen")

    ' Set a reference to the drawing curve.
    Dim oDrawingCurve As DrawingCurve
    Set oDrawingCurve = oDrawingCurveSegment.Parent

    ' Get the mid point of the selected curve
    ' assuming that the selected curve is linear
    Dim oMidPoint As Point2d
    Set oMidPoint = oDrawingCurve.MidPoint

    ' Set a reference to the TransientGeometry object.
    Dim oTG As TransientGeometry
    Set oTG = ThisApplication.TransientGeometry

    Dim oLeaderPoints As ObjectCollection
    Set oLeaderPoints = ThisApplication.TransientObjects.CreateObjectCollection

    ' Create a few leader points.
    Call oLeaderPoints.Add(oTG.CreatePoint2d(oMidPoint.X + 2, oMidPoint.Y + 2))

    ' Create an intent and add to the leader points collection.
    ' This is the geometry that the leader text will attach to.
    Dim oGeometryIntent As GeometryIntent
    Set oGeometryIntent = oActiveSheet.CreateGeometryIntent(oDrawingCurve, oMidPoint)

    Call oLeaderPoints.Add(oGeometryIntent)

    ' Create text with simple string as input. Since this doesn't use
    ' any text overrides, it will default to the active text style.
    Dim sText As String
    'sText = "API Leader Note"
    sText = GetParentAssemblyPropText(oDrawingCurve)
   
    If sText = ":Error:No:Assembly:" Then
        MsgBox "Bauteil nicht in Unterbaugruppe. Abbruch", vbCritical
        Exit Sub
    ElseIf sText = "" Then
        MsgBox "Baugruppenpropertie leer. Abbruch", vbCritical
        Exit Sub
    End If

    Dim oLeaderNote As LeaderNote
    Set oLeaderNote = oActiveSheet.DrawingNotes.LeaderNotes.Add(oLeaderPoints, sText)

End Sub

Private Function GetParentAssemblyPropText(ByVal oDrawCurve As DrawingCurve) As String

Dim oOcc As ComponentOccurrence
Dim oParentCompDef As AssemblyComponentDefinition
Dim oParentDoc As AssemblyDocument


If TypeOf oDrawCurve.ModelGeometry Is Edge Then
    Set oOcc = oDrawCurve.ModelGeometry.ContainingOccurrence
    If Not oOcc.ParentOccurrence Is Nothing Then
        Set oParentCompDef = oOcc.ContainingOccurrence.Definition
        Set oParentDoc = oParentCompDef.Document
       
        Dim oPropSet As PropertySet
        Set oPropSet = oParentDoc.PropertySets.Item("{D5CDD505-2E9C-101B-9397-08002B2CF9AE}")
       
        Dim oProp As Property
        For Each oProp In oPropSet
            If oProp.Name = "MeinPropertie" Then '<--------------------------------------------------- ANPASSEN!!!!!!!!
                GetParentAssemblyPropText = oProp.Value
            End If
        Next
    Else
        GetParentAssemblyPropText = ":Error:No:Assembly:"
    End If
End If

End Function


------------------
MfG
Ralf

RKW Solutions GmbH
www.RKW-Solutions.com

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Dori2000
Mitglied
Konstrukteurin


Sehen Sie sich das Profil von Dori2000 an!   Senden Sie eine Private Message an Dori2000  Schreiben Sie einen Gästebucheintrag für Dori2000

Beiträge: 62
Registriert: 23.03.2018

Windows 10,
Inventor 2020, AutoCAD Mechanical 2020

erstellt am: 12. Jan. 2021 10:02    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

vielen Dank!
Damit habe ich ja jetzt gar nicht gerechnet... Ich habe mir erst mal so beholfen, das eine Bauteil in dieser Baugruppe einfach mit der richtigen Bezeichnung zu versehen. Als Einzelteil wird das nie verbaut, da Zuliefererteil.

------------------
Viele Grüße

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2021 CAD.de | Impressum | Datenschutz